# Solfege - ear training for GNOME
# Copyright (C) 2004  Tom Cato Amundsen
# License is GPL, see file COPYING

def register_exercise(d):
    global __exdata__
    if 'exercise_pretty_name' not in d:
        d['exercise_pretty_name'] = d['menu_path'].split('/')[1].replace('_', '')
    if 'exercise_config' not in d:
        d['exercise_config'] = ''
    __exdata__.append(d)
